Documentation

Didn't know where to start? Here we have something might be useful.

PHP Cli

Table of Contents:

Version

Your RunCloud server are equipped with multiple PHP Version starting from PHP version 5.5. However, your server didn’t know which php version is the default version to use. In this section, you can tell the server which php-cli version to use as default version.

Usage

The usage of php-cli is to run php in command line mode such as running in Cron or Supervisord. Composer will also run according to this php-cli version.

If you have problem to run composer or php, most likely you didn't run ssh as interactive mode. To fix the problem, just issue below command.

source /etc/profile.d/runcloudpath.sh